Uploaded image for project: 'Confluence Server'
  1. Confluence Server
  2. CONFSERVER-14166

Plugin Repository not always identifying if newer plugins are available

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Medium
    • Resolution: Support Request
    • Affects Version/s: 2.10
    • Fix Version/s: None
    • Component/s: None

      Description

      (Note: This problem was discussed via Chat with Atlassian Support today. Atlassian were going to create a ticket for it but it seems they may not have done that yet. Problem initially related to numerous plugins including the Adaptavist Community Bubbles (CB) plugin. Guy Fraser from Adaptavist also has a comment on this system problem which I will add to this issue.)

      Problem:

      That is, the repository is not correctly showing that new plugins are available for all relevant plugins it lists. In this case, the new CB 1.1rc1 plugin is listed but there is no upgrade link. And, the only way to upgrade this plugin (and some others too) via the repository is to first uninstall the plugin and then reinstall it (1.1rc1 is then the version that is listed for installation).

      Atlassian said that it may have something to do with metadata being upload or not by developers but I think something else might be broken in the PR plugin itself.

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            tstrugar@wwf.org.au Tomi Strugar
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: